Package org.flowable.variable.api.types

# Interface ValueFields

All Known Subinterfaces:
  `VariableInstance`

public interface ValueFields
Common interface for regular and historic variable entities.

Author:
  Tom Baeyens

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getBytes()`
  `Object`
  `getCachedValue()`
  `Double`
  `getDoubleValue()`
  `String`
  `getExecutionId()`
  `Long`
  `getLongValue()`
  `String`
  `getName()`
  `String`
  `getProcessInstanceId()`
  `String`
  `getScopeId()`
  `String`
  `getScopeType()`
  `String`
  `getSubScopeId()`
  `String`
  `getTaskId()`
  `String`
  `getTextValue()`
  `String`
  `getTextValue2()`
  `void`
  `setBytes(byte[] bytes)`
  Sets the byte array value.
  `void`
  `setCachedValue(Object cachedValue)`
  `void`
  `setDoubleValue(Double doubleValue)`
  Sets the double value.
  `void`
  `setLongValue(Long longValue)`
  Sets the long value.
  `void`
  `setTextValue(String textValue)`
  Sets the first text value.
  `void`
  `setTextValue2(String textValue2)`
  Sets second text value.

- ## Method Details

  - ### getName

    String getName()
    Returns:
      the name of the variable

  - ### getProcessInstanceId

    String getProcessInstanceId()
    Returns:
      the process instance id of the variable

  - ### getExecutionId

    String getExecutionId()
    Returns:
      the execution id of the variable

  - ### getScopeId

    String getScopeId()
    Returns:
      the scope id of the variable

  - ### getSubScopeId

    String getSubScopeId()
    Returns:
      the sub scope id of the variable

  - ### getScopeType

    String getScopeType()
    Returns:
      the scope type of the variable

  - ### getTaskId

    String getTaskId()
    Returns:
      the task id of the variable

  - ### getTextValue

    String getTextValue()
    Returns:
      the first text value, if any, or null.

  - ### setTextValue

    void setTextValue(String textValue)
    Sets the first text value. A value of null is allowed.

  - ### getTextValue2

    String getTextValue2()
    Returns:
      the second text value, if any, or null.

  - ### setTextValue2

    void setTextValue2(String textValue2)
    Sets second text value. A value of null is allowed.

  - ### getLongValue

    Long getLongValue()
    Returns:
      the long value, if any, or null.

  - ### setLongValue

    void setLongValue(Long longValue)
    Sets the long value. A value of null is allowed.

  - ### getDoubleValue

    Double getDoubleValue()
    Returns:
      the double value, if any, or null.

  - ### setDoubleValue

    void setDoubleValue(Double doubleValue)
    Sets the double value. A value of null is allowed.

  - ### getBytes

    byte[] getBytes()
    Returns:
      the byte array value, if any, or null.

  - ### setBytes

    void setBytes(byte[] bytes)
    Sets the byte array value. A value of null is allowed.

  - ### getCachedValue

    Object getCachedValue()

  - ### setCachedValue

    void setCachedValue(Object cachedValue)